> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperrails.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet By ID

> Returns all balance by account ID 



## OpenAPI

````yaml GET /partners/balances/{accountId}
openapi: 3.1.0
info:
  title: HyperRail
  description: HyperRail documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Live server
    url: https://api.hyperrails.io/api/v1
security:
  - bearerAuth: []
paths:
  /partners/balances/{accountId}:
    get:
      description: 'Returns all balance by account ID '
      parameters:
        - name: accountId
          in: path
          required: true
          description: The unique identifier of the account id.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: 'Returns all balance by account ID '
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BalanceListResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BalanceListResponse:
      type: object
      properties:
        accountId:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        currency:
          type: string
          example: GHS
        balance:
          type: number
          format: float
          example: 3
        availableBalance:
          type: number
          format: float
          example: 3
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: INVALID_CURRENCY
        message:
          type: string
          description: Error message
          example: 'Invalid source currency. Supported: NGN, GHS'
        details:
          type: object
          description: Additional error details
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API key authentication using Bearer token

````